## tbsync 0.7.15

=== Makefile ===
# This file is part of TbSync.
#
# TbSync is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# TbSync is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with TbSync. If not, see <https://www.gnu.org/licenses/>.

.PHONY: build

build:
	# Sync all files except git technical files
	# and screenshots
	zip ../TbSync-beta.xpi -FS -R '*' \
		-x 'screenshots' 'github/*' '.git/*' '.gitignore'

=== debian/changelog ===
tbsync (0.7.15-3) unstable; urgency=medium

  [ Mechtilde ]
  * debian/changelog -prepared for release

 -- Mechtilde Stehmann <mechtilde@debian.org>  Sun, 09 Sep 2018 12:34:19 +0200

tbsync (0.7.15-2) unstable; urgency=medium

  [ Mechtilde ]
  * making control lintian clean
  * corrects file name to webext-tbsync.docs
  * add ITP bugs (Closes:#902333,#906853)

 -- Mechtilde Stehmann <mechtilde@debian.org>  Sun, 09 Sep 2018 12:23:11 +0200

tbsync (0.7.15-1) unstable; urgency=medium

  [ Mechtilde ]
  * New upstream version 0.7.15

 -- Mechtilde Stehmann <mechtilde@debian.org>  Sat, 08 Sep 2018 19:40:33 +0200

=== debian/control ===
Source: tbsync
Section: mail
Priority: optional
Maintainer: Debian Mozilla Extension Maintainers <pkg-mozext-maintainers@lists.alioth.debian.org>
Uploaders: Mechtilde Stehmann <mechtilde@debian.org>
Build-Depends: debhelper (>= 11), mozilla-devscripts,
Standards-Version: 4.2.1
Vcs-Git: https://salsa.debian.org/debian/tbsync.git/
Vcs-Browser: https://salsa.debian.org/debian/tbsync
Homepage: https://github.com/jobisoft/TbSync

Package: webext-tbsync
Architecture: all
Depends: ${misc:Depends}, ${xpi:Depends}, thunderbird (>= 52), lightning
Recommends: ${xpi:Recommends}
Provides: ${xpi:Provides}
Enhances: ${xpi:Enhances}
Breaks: ${xpi:Breaks}
Description: Thunderbird/Lightning Add-On to support MS Exchange Calendar etc.
 Synchronize Exchange ActiveSync accounts (contacts, tasks and
 calendars) to Thunderbird, supports Office 365, Outlook.com,
 Freenet, Strato, Hotmail, Kopano and other EAS compatible servers.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v

%:
	dh $@ --with xul-ext --buildsystem=xul_ext

override_dh_auto_install:
	install-xpi \
		--exclude LICENSE.txt \
		webext-tbsync.xpi

=== debian/watch ===
version=3
opts="uversionmangle=s/-Beta/~beta/;s/-rc/~rc/,filenamemangle=s/.*\/v?(\d+\.\d+\.\d+(?:-(Beta|rc)\d+)?)\.tar\.gz/TbSync-$1.tar.gz/" \
https://github.com/jobisoft/TbSync.git/releases/ .*/v?(\d+\.\d+\.\d+(?:-rc\d+)?)\.tar\.gz

## tbsync 0.7.22

=== debian/changelog ===
tbsync (0.7.22-1) unstable; urgency=medium

  [ Mechtilde ]
  * New upstream version 0.7.22
  * Update VCS field in control file (Closes:#915234)
  * Correct watch file

 -- Mechtilde Stehmann <mechtilde@debian.org>  Sun, 09 Dec 2018 10:09:29 +0100

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
 Uploaders: Mechtilde Stehmann <mechtilde@debian.org>
 Build-Depends: debhelper (>= 11), mozilla-devscripts,
 Standards-Version: 4.2.1
-Vcs-Git: https://salsa.debian.org/debian/tbsync.git/
-Vcs-Browser: https://salsa.debian.org/debian/tbsync
+Vcs-Git: https://salsa.debian.org/webext-team/tbsync.git/
+Vcs-Browser: https://salsa.debian.org/webext-team/tbsync
 Homepage: https://github.com/jobisoft/TbSync
 
 Package: webext-tbsync

=== debian/watch ===
version=3
opts="uversionmangle=s/-Beta/~beta/;s/-rc/~rc/,filenamemangle=s/.*\/v?(\d+\.\d+\.\d+(?:-(Beta|rc)\d+)?)\.tar\.gz/TbSync-$1.tar.gz/" \
https://github.com/jobisoft/TbSync/releases/ .*/v?(\d+\.\d+\.\d+(?:-rc\d+)?)\.tar\.gz

## tbsync 1.5

=== debian/changelog ===
tbsync (1.5-1) unstable; urgency=medium

  [ Mechtilde ]
  * New upstream version 1.5
  * adapt debian/control (Closes: #915234)
  * add lintian-overrides

 -- Mechtilde Stehmann <mechtilde@debian.org>  Sat, 09 Feb 2019 15:25:31 +0100

=== debian/control ===
--- 
+++ 
@@ -11,8 +11,13 @@
 
 Package: webext-tbsync
 Architecture: all
-Depends: ${misc:Depends}, ${xpi:Depends}, thunderbird (>= 52), lightning
+Depends: ${misc:Depends}
+ , ${xpi:Depends}
+ , thunderbird (>= 52)
+ , lightning | xul-ext-lightning
 Recommends: ${xpi:Recommends}
+ , webext-dav4tbsync
+ , webext-eas4tbsync
 Provides: ${xpi:Provides}
 Enhances: ${xpi:Enhances}
 Breaks: ${xpi:Breaks}

## tbsync 1.7

=== debian/changelog ===
tbsync (1.7-1) unstable; urgency=medium

  [ Mechtilde ]
  * New upstream version 1.7
  * improved debian/

 -- Mechtilde Stehmann <mechtilde@debian.org>  Tue, 26 Feb 2019 19:56:33 +0100

tbsync (1.6-1) UNRELEASED; urgency=medium

  [ Mechtilde ]
  * New upstream version 1.6

 -- Mechtilde Stehmann <mechtilde@debian.org>  Mon, 25 Feb 2019 16:08:34 +0100

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Debian Mozilla Extension Maintainers <pkg-mozext-maintainers@lists.alioth.debian.org>
 Uploaders: Mechtilde Stehmann <mechtilde@debian.org>
-Build-Depends: debhelper (>= 11), mozilla-devscripts,
-Standards-Version: 4.2.1
+Build-Depends: debhelper (>= 12), mozilla-devscripts,
+Standards-Version: 4.3.0
 Vcs-Git: https://salsa.debian.org/webext-team/tbsync.git/
 Vcs-Browser: https://salsa.debian.org/webext-team/tbsync
 Homepage: https://github.com/jobisoft/TbSync
@@ -13,11 +13,11 @@
 Architecture: all
 Depends: ${misc:Depends}
  , ${xpi:Depends}
- , thunderbird (>= 52)
+ , thunderbird (>= 60)
  , lightning | xul-ext-lightning
 Recommends: ${xpi:Recommends}
- , webext-dav4tbsync
- , webext-eas4tbsync
+ , webext-dav4tbsync (>= 0.14)
+ , webext-eas4tbsync (>= 0.11)
 Provides: ${xpi:Provides}
 Enhances: ${xpi:Enhances}
 Breaks: ${xpi:Breaks}

## tbsync 2.9

=== debian/changelog ===
tbsync (2.9-1) unstable; urgency=medium

  * Prepared for unstable

 -- Mechtilde Stehmann <mechtilde@debian.org>  Sun, 08 Dec 2019 20:35:12 +0100

tbsync (2.9-1~exp1) experimental; urgency=medium

  * [77907ef] New upstream version 2.9

 -- Mechtilde Stehmann <mechtilde@debian.org>  Sat, 07 Dec 2019 18:45:50 +0100

tbsync (2.8-1~exp4) experimental; urgency=medium

  [ Carsten Schoenert ]
  * [c98efe0] install more needed files
  * [4ad835a] webext-tbsync.links: correct linking

 -- Mechtilde Stehmann <mechtilde@debian.org>  Sun, 01 Dec 2019 20:09:28 +0100

tbsync (2.8-1~exp3) experimental; urgency=medium

  * [6f127a7] use new line number
  * [0c46b28] Corrected *.docs file
  * [454ef69] Removed old xul stuff
  * [9193971] Removed xpi dependencies
  * [aa931a5] Added *.install and *.links for manuall installation

 -- Mechtilde Stehmann <mechtilde@debian.org>  Sun, 01 Dec 2019 17:02:53 +0100

tbsync (2.8-1~exp2) experimental; urgency=medium

  Prepared for Unstable
  * [6f127a7] use new line number
  * [0c46b28] Corrected *.docs file
  * [454ef69] Removed old xul stuff
  * [9193971] Removed xpi dependencies
  * [aa931a5] Added *.install and *.links for manuall installation

 -- Mechtilde Stehmann <mechtilde@debian.org>  Sun, 01 Dec 2019 16:59:08 +0100

tbsync (2.8-1~exp1) experimental; urgency=medium

  * [3dfedf8] New upstream version 2.8
  * [fed3c3d] Added me to debian/copyright for debian files
  * [2f0ba40] Changed version number of dependencies
  * [e1486d9] Deactivate verbosity in debian/rules

 -- Mechtilde Stehmann <mechtilde@debian.org>  Sat, 30 Nov 2019 17:28:26 +0100

tbsync (2.5-1~exp2) experimental; urgency=medium

  [ Mechtilde ]
  * [315e718] correct rules

 -- Mechtilde Stehmann <mechtilde@debian.org>  Sun, 03 Nov 2019 20:31:40 +0100

tbsync (2.5-1~exp1) experimental; urgency=medium

  [ Mechtilde ]
  * [0e55c0b] last changes in changelog for releasein experimental
  * [004d898] Use debhelper-compat for choosing compat level
  * [3015561] Bumped to standard version 4.4.1 -no changes needed
  * [e5136eb] Reduce the line length in last entry
  * [4f252a0] New upstream version 2.5

 -- Mechtilde Stehmann <mechtilde@debian.org>  Sun, 03 Nov 2019 19:52:28 +0100

tbsync (2.3-1) experimental; urgency=medium

  [ Mechtilde ]
  * New upstream version 2.3
  * added debian/salsa-ci.yml for testing on Salsa
  * New upstream version 2.3
  * changed debian/control bump standard version to 4.4.0,
    changed thunderbird version to >=68, changed webext-tbsync
    version to 2.3
  * changed debian/watch to version 4
  * simpified debian/rules for using webext
  * changed debian/source/lintian-overrides
  * adapt changes of licenses in debian/copyright

 -- Mechtilde Stehmann <mechtilde@debian.org>  Thu, 05 Sep 2019 21:08:16 +0200

=== debian/control ===
Source: tbsync
Section: mail
Priority: optional
Maintainer: Debian Mozilla Extension Maintainers <pkg-mozext-maintainers@lists.alioth.debian.org>
Uploaders: Mechtilde Stehmann <mechtilde@debian.org>
Build-Depends: debhelper-compat (= 12)
Standards-Version: 4.4.1
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/webext-team/tbsync.git/
Vcs-Browser: https://salsa.debian.org/webext-team/tbsync
Homepage: https://github.com/jobisoft/TbSync

Package: webext-tbsync
Architecture: all
Depends: ${misc:Depends}
 , thunderbird (>= 68.2)
 , lightning (>= 68.2) | xul-ext-lightning
Recommends: webext-dav4tbsync (>= 1.6)
 , webext-eas4tbsync (>= 1.8)
Description: Thunderbird/Lightning Add-On to support MS Exchange Calendar etc.
 Synchronize Exchange ActiveSync accounts (contacts, tasks and
 calendars) to Thunderbird, supports Office 365, Outlook.com,
 Freenet, Strato, Hotmail, Kopano and other EAS compatible servers.

## tbsync 2.10

=== debian/changelog ===
tbsync (2.10-1) unstable; urgency=medium

  [ Carsten Schoenert ]
  * [9ad5177] d/control: correct depending versions

  [ Mechtilde Stehmann ]
  * [8c89b10] New upstream version 2.10
  * [b66345f] d/upstream/metadata: added
  * [306b4f5] d/copyright: add recent year
  * [c719716] d/control: bump standard version to 4.5 - no changes needed

 -- Mechtilde Stehmann <mechtilde@debian.org>  Sat, 25 Jan 2020 11:03:46 +0100

## tbsync 2.11

=== debian/changelog ===
tbsync (2.11-1~deb10u1.1) buster; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 19:29:44 +0800

tbsync (2.11-1~deb10u1) buster; urgency=medium

  * Built for Buster

 -- Mechtilde Stehmann <mechtilde@debian.org>  Sun, 26 Apr 2020 22:31:26 +0200

tbsync (2.11-1) unstable; urgency=medium

  * [c20de3a] New upstream version 2.11

 -- Mechtilde Stehmann <mechtilde@debian.org>  Wed, 26 Feb 2020 19:29:23 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Mozilla Extension Maintainers <pkg-mozext-maintainers@lists.alioth.debian.org>
 Uploaders: Mechtilde Stehmann <mechtilde@debian.org>
 Build-Depends: debhelper-compat (= 12)
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/webext-team/tbsync.git/
 Vcs-Browser: https://salsa.debian.org/webext-team/tbsync
@@ -13,8 +13,8 @@
 Package: webext-tbsync
 Architecture: all
 Depends: ${misc:Depends}
- , thunderbird (>= 68.2)
- , lightning (>= 68.2) | xul-ext-lightning
+ , thunderbird (>= 1:68.2)
+ , lightning (>= 1:68.2) | xul-ext-lightning
 Recommends: webext-dav4tbsync (>= 1.6)
  , webext-eas4tbsync (>= 1.8)
 Description: Thunderbird/Lightning Add-On to support MS Exchange Calendar etc.

## tbsync 2.16.1

=== debian/changelog ===
tbsync (2.16.1-1) unstable; urgency=medium

  [ Mechtilde ]
  * prepared for unstable (Closes: #968102)
    + to fit compatibility with thunderbird 78.x

  * [501e05b] Added missing bug tracker to d/u/metadata

 -- Mechtilde Stehmann <mechtilde@debian.org>  Wed, 07 Oct 2020 19:57:36 +0200

tbsync (2.16.1-1~exp1) experimental; urgency=medium

  [ Mechtilde ]
  * [3701379] New upstream version 2.15.5~beta
  * [15dcb16] Adapted d/ to the new version 2.15.5-beta

  [ Carsten Schoenert ]
  * [94005c6] d/gbp.conf: adding helper for git-buildpackage
  * [256c84b] New upstream version 2.16.1
  * [841ffa1] d/copyright: update and sort content alphabetically
  * [bb84449] d/rules: rework the build process a bit
  * [1afb65f] d/webext-tbsync.links: updating sequencer to new requirement
  * [79ff8f8] d/webext-tbsync.install: adopt installing files
  * [0fa330f] lintian: drop source override as not needed any more

 -- Mechtilde Stehmann <mechtilde@debian.org>  Sat, 08 Aug 2020 20:48:59 +0200

tbsync (2.11-2~exp1) experimental; urgency=medium

  [ Mechtilde Stehmann ]
  * [760cf22] Changed maintainer email in d/control to avoid lintian warning
  * [744a80c] Removed lightning from dependency for TB >=76
  * [701c8fd] Adapt versions of dependencies

 -- Mechtilde Stehmann <mechtilde@debian.org>  Sun, 26 Apr 2020 19:55:04 +0200

=== debian/control ===
Source: tbsync
Section: mail
Priority: optional
Maintainer: Debian Mozilla Extension Maintainers <pkg-mozext-maintainers@alioth-lists.debian.net>
Uploaders: Mechtilde Stehmann <mechtilde@debian.org>
Build-Depends: debhelper-compat (= 12), zip
Standards-Version: 4.5.0
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/webext-team/tbsync.git/
Vcs-Browser: https://salsa.debian.org/webext-team/tbsync
Homepage: https://github.com/jobisoft/TbSync

Package: webext-tbsync
Architecture: all
Depends: ${misc:Depends}
 , thunderbird (>= 1:78.0)
Recommends: webext-dav4tbsync (>= 1.15)
 , webext-eas4tbsync (>= 1.15)
Description: Thunderbird/Lightning Add-On to support MS Exchange Calendar etc.
 Synchronize Exchange ActiveSync accounts (contacts, tasks and
 calendars) to Thunderbird, supports Office 365, Outlook.com,
 Freenet, Strato, Hotmail, Kopano and other EAS compatible servers.

## tbsync 2.18

=== debian/changelog ===
tbsync (2.18-1~deb10u1+rebuild) UNRELEASED; urgency=medium

  * update

 -- Debian Mozilla Extension Maintainers <pkg-mozext-maintainers@alioth-lists.debian.net>  Tue, 08 Dec 2020 20:06:51 +0800

tbsync (2.18-1~deb10u1) buster; urgency=medium

  [ Mechtilde ]
  * [962f929] Built for buster: debian/changelog
  * [2c6dea8] Prepared for release in buster (proposed-updates)

 -- Mechtilde Stehmann <mechtilde@debian.org>  Sun, 25 Oct 2020 13:30:29 +0100

tbsync (2.18-1) unstable; urgency=medium

  [ Mechtilde ]
  * [51d54b2] New upstream version 2.18
  * [f451899] Bumped TB to version 78.3

 -- Mechtilde Stehmann <mechtilde@debian.org>  Fri, 16 Oct 2020 19:25:40 +0200

tbsync (2.16.1-1~deb10u1) buster; urgency=medium

  * Rebuild for buster to fit compatibility with Tb 78.x
    + (Closes:#971807)

 -- Mechtilde Stehmann <mechtilde@debian.org>  Sat, 10 Oct 2020 21:09:09 +0200

=== debian/control ===
--- 
+++ 
@@ -13,9 +13,9 @@
 Package: webext-tbsync
 Architecture: all
 Depends: ${misc:Depends}
- , thunderbird (>= 1:78.0)
-Recommends: webext-dav4tbsync (>= 1.15)
- , webext-eas4tbsync (>= 1.15)
+ , thunderbird (>= 1:78.3)
+Recommends: webext-dav4tbsync (>= 1.21)
+ , webext-eas4tbsync (>= 1.20)
 Description: Thunderbird/Lightning Add-On to support MS Exchange Calendar etc.
  Synchronize Exchange ActiveSync accounts (contacts, tasks and
  calendars) to Thunderbird, supports Office 365, Outlook.com,

## tbsync 2.19

=== debian/changelog ===
tbsync (2.19-1) unstable; urgency=medium

  [ Mechtilde ]
  * [72dd71c] New upstream version 2.19

 -- Mechtilde Stehmann <mechtilde@debian.org>  Tue, 24 Nov 2020 18:07:00 +0100

tbsync (2.18-2) unstable; urgency=medium

  * Source only upload

 -- Mechtilde Stehmann <mechtilde@debian.org>  Sun, 25 Oct 2020 15:11:31 +0100

=== debian/control ===
--- 
+++ 
@@ -14,8 +14,8 @@
 Architecture: all
 Depends: ${misc:Depends}
  , thunderbird (>= 1:78.3)
-Recommends: webext-dav4tbsync (>= 1.21)
- , webext-eas4tbsync (>= 1.20)
+Recommends: webext-dav4tbsync (>= 1.15)
+ , webext-eas4tbsync (>= 1.15)
 Description: Thunderbird/Lightning Add-On to support MS Exchange Calendar etc.
  Synchronize Exchange ActiveSync accounts (contacts, tasks and
  calendars) to Thunderbird, supports Office 365, Outlook.com,

=== debian/watch ===
version=4
opts="uversionmangle=s/-Beta/~beta/;s/-rc/~rc/,filenamemangle=s/.*\/v?(\d+\.\d+(?:-(Beta|rc)\d+)?)\.tar\.gz/TbSync-$1.tar.gz/" \
https://github.com/jobisoft/TbSync/releases/ .*/v?(\d+\.\d+(?:-rc\d+)?)\.tar\.gz

## tbsync 2.21

=== debian/changelog ===
tbsync (2.21-1) unstable; urgency=medium

  [ Mechtilde ]
  * [3e305ab] New upstream version 2.21
  * [b1bc4ee] Bumped years in d/copyright

 -- Mechtilde Stehmann <mechtilde@debian.org>  Tue, 16 Mar 2021 19:22:22 +0100

## tbsync 3.0.1~git20210802%2B7774d75b9

=== debian/control ===
Source: tbsync
Section: mail
Priority: optional
Maintainer: Debian Mozilla Extension Maintainers <pkg-mozext-maintainers@alioth-lists.debian.net>
Uploaders: Mechtilde Stehmann <mechtilde@debian.org>
Build-Depends: debhelper-compat (= 13), zip
Standards-Version: 4.6.0
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/webext-team/tbsync.git
Vcs-Browser: https://salsa.debian.org/webext-team/tbsync
Homepage: https://github.com/jobisoft/TbSync

Package: webext-tbsync
Architecture: all
Depends: ${misc:Depends}
 , thunderbird (>= 1:91.3)
Recommends: webext-dav4tbsync (>= 2.0)
 , webext-eas4tbsync (>= 2.0)
Description: Thunderbird/Lightning Add-On to support MS Exchange Calendar etc.
 Synchronize Exchange ActiveSync accounts (contacts, tasks and
 calendars) to Thunderbird, supports Office 365, Outlook.com,
 Freenet, Strato, Hotmail, Kopano and other EAS compatible servers.

## tbsync 3.0.1~git20210802+7774d75b9

=== debian/changelog ===
tbsync (3.0.1~git20210802+7774d75b9-1) unstable; urgency=medium
  [ Mechtilde ]
  * Rebased to upstream with version 3.0.1~git20210802+7774d75b9-1
    [f9efd98] changed compression to xz for building version 3.0.1
  * [233a4e8] Bumped compat version -  no changes needed
  * [31bd6db] Bumped standard version -  no changes needed
  * [4347306] Bumped version to recent dependencies
  * [fa7681d] Fixed VCS entry
  * [106274c] Removed URL from d/u/metadata

 -- Mechtilde Stehmann <mechtilde@debian.org>  Sat, 15 Jan 2022 17:49:59 +0100

## tbsync 3.0.2

=== debian/changelog ===
tbsync (3.0.2-2) unstable; urgency=medium

  [ Mechtilde ]
  * [630381e] Bumped standard version - no changes needed
  * [294840e] Improved watch file for github changes

 -- Mechtilde Stehmann <mechtilde@debian.org>  Mon, 23 May 2022 20:51:02 +0200

tbsync (3.0.2-1) unstable; urgency=medium

  [ Mechtilde ]
  * [f7da0df] Adapt d/gbp.conf for this package
  * [cfa9dd5] New upstream version 3.0.2
  * [c909173] Bump year in d/copyright

 -- Mechtilde Stehmann <mechtilde@debian.org>  Sun, 17 Apr 2022 13:28:21 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Mozilla Extension Maintainers <pkg-mozext-maintainers@alioth-lists.debian.net>
 Uploaders: Mechtilde Stehmann <mechtilde@debian.org>
 Build-Depends: debhelper-compat (= 13), zip
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/webext-team/tbsync.git
 Vcs-Browser: https://salsa.debian.org/webext-team/tbsync

## tbsync 4.1

=== debian/changelog ===
tbsync (4.1-1) unstable; urgency=medium

  [ Mechtilde ]
  * [b4deac8] New upstream version 4.1
  * [62b9f74] Bumped version of Thunderbird and DAV-4-TbSync

 -- Mechtilde Stehmann <mechtilde@debian.org>  Thu, 22 Sep 2022 19:49:31 +0200

## tbsync 4.3

=== debian/changelog ===
tbsync (4.3-1) unstable; urgency=medium

  [ Mechtilde ]
  * [4d3900b] New upstream version 4.3

 -- Mechtilde Stehmann <mechtilde@debian.org>  Fri, 14 Oct 2022 13:32:30 +0200

=== debian/control ===
--- 
+++ 
@@ -13,8 +13,8 @@
 Package: webext-tbsync
 Architecture: all
 Depends: ${misc:Depends}
- , thunderbird (>= 1:91.3)
-Recommends: webext-dav4tbsync (>= 2.0)
+ , thunderbird (>= 1:102.2)
+Recommends: webext-dav4tbsync (>= 4.0)
  , webext-eas4tbsync (>= 2.0)
 Description: Thunderbird/Lightning Add-On to support MS Exchange Calendar etc.
  Synchronize Exchange ActiveSync accounts (contacts, tasks and

## tbsync 4.3+git20230524+9459652

=== debian/changelog ===
tbsync (4.3+git20230524+9459652-1) experimental; urgency=medium

  [ Mechtilde ]
  * [70d9fd8] New upstream version 4.3+git20230524+9459652
              Made it fit for thunderbird 115.*
  * [70d9fd8] New upstream version 4.3+git20230524+9459652
  * [6321440] Changed coompression for zip file

 -- Mechtilde Stehmann <mechtilde@debian.org>  Wed, 26 Jul 2023 18:08:25 +0200

## tbsync 4.7

=== debian/changelog ===
tbsync (4.7-1~deb12u1) bookworm; urgency=medium

  [ Mechtilde ]
  * [f9e272f] Adjust version of dependencies
  * Prepared for release in bookworm (proposed-updates)

 -- Mechtilde Stehmann <mechtilde@debian.org>  Sat, 14 Oct 2023 09:22:21 +0200

tbsync (4.7-1) unstable; urgency=medium

  [ Mechtilde ]
  * [c727b2e] New upstream version 4.7
  * [3187154] Compression is now tar.gz

 -- Mechtilde Stehmann <mechtilde@debian.org>  Tue, 12 Sep 2023 19:31:30 +0200

=== debian/control ===
--- 
+++ 
@@ -13,9 +13,9 @@
 Package: webext-tbsync
 Architecture: all
 Depends: ${misc:Depends}
- , thunderbird (>= 1:102.2)
-Recommends: webext-dav4tbsync (>= 4.0)
- , webext-eas4tbsync (>= 2.0)
+ , thunderbird (>= 1:115.3)
+Recommends: webext-dav4tbsync (>= 4.7)
+ , webext-eas4tbsync (>= 4.7)
 Description: Thunderbird/Lightning Add-On to support MS Exchange Calendar etc.
  Synchronize Exchange ActiveSync accounts (contacts, tasks and
  calendars) to Thunderbird, supports Office 365, Outlook.com,

## tbsync 4.8

=== debian/changelog ===
tbsync (4.8-1) unstable; urgency=medium

  [ Mechtilde ]
  * [958ffe6] New upstream version 4.8
  * [2a36c0a] Bumped standard version - no changes needed;
              bumped version of dependencies
  * [fbee43b] Bumped year in d/copyright

 -- Mechtilde Stehmann <mechtilde@debian.org>  Wed, 15 May 2024 11:24:50 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Mozilla Extension Maintainers <pkg-mozext-maintainers@alioth-lists.debian.net>
 Uploaders: Mechtilde Stehmann <mechtilde@debian.org>
 Build-Depends: debhelper-compat (= 13), zip
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/webext-team/tbsync.git
 Vcs-Browser: https://salsa.debian.org/webext-team/tbsync
@@ -13,9 +13,9 @@
 Package: webext-tbsync
 Architecture: all
 Depends: ${misc:Depends}
- , thunderbird (>= 1:115.3)
+ , thunderbird (>= 1:115.2)
 Recommends: webext-dav4tbsync (>= 4.7)
- , webext-eas4tbsync (>= 4.7)
+ , webext-eas4tbsync (>= 4.8)
 Description: Thunderbird/Lightning Add-On to support MS Exchange Calendar etc.
  Synchronize Exchange ActiveSync accounts (contacts, tasks and
  calendars) to Thunderbird, supports Office 365, Outlook.com,

## tbsync 4.12

=== debian/changelog ===
tbsync (4.12-1~deb12u1) bookworm; urgency=medium

  [ Mechtilde ]
  * [b716540] Merge branch 'debian/sid' into debian/bookworm
  * Prepared for release in bookworm (proposed-updates)

 -- Mechtilde Stehmann <mechtilde@debian.org>  Sat, 14 Sep 2024 18:12:51 +0200

tbsync (4.12-1) unstable; urgency=medium

  [ Mechtilde ]
  * [f3a1684] New upstream version 4.12
  * [2a72a9f] Bumped version of dependencies

 -- Mechtilde Stehmann <mechtilde@debian.org>  Sat, 31 Aug 2024 17:33:27 +0200

=== debian/control ===
--- 
+++ 
@@ -13,9 +13,10 @@
 Package: webext-tbsync
 Architecture: all
 Depends: ${misc:Depends}
- , thunderbird (>= 1:115.2)
-Recommends: webext-dav4tbsync (>= 4.7)
- , webext-eas4tbsync (>= 4.8)
+ , thunderbird (>= 1:128.0)
+ , thunderbird (<= 1:128.x)
+Recommends: webext-dav4tbsync (>= 4.8)
+ , webext-eas4tbsync (>= 4.11)
 Description: Thunderbird/Lightning Add-On to support MS Exchange Calendar etc.
  Synchronize Exchange ActiveSync accounts (contacts, tasks and
  calendars) to Thunderbird, supports Office 365, Outlook.com,

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1
# export DH_OPTIONS=-v

TBSYNC_FILES = \
 _locales \
 content \
 background.js \
 manifest.json \
 $(NULL)

TBSYNC_FILES_EXCLUDE = \
 _locales/Readme.txt \
 $(NULL)

%:
	dh $@

override_dh_clean:
	dh_clean
	rm -rf debian/build

override_dh_auto_build-indep:
	mkdir $(CURDIR)/debian/build && \
	zip --recurse-paths  $(CURDIR)/debian/build/tbsync@jobisoft.de.xpi \
	    $(TBSYNC_FILES) \
	    --exclude $(TBSYNC_FILES_EXCLUDE)
	dh_auto_build

=== debian/watch ===
version=4
https://github.com/jobisoft/TbSync/tags .*/archive/refs/tags/v(\d[\d\.]+)\.tar\.gz

## tbsync 4.16

=== debian/changelog ===
tbsync (4.16-1~deb13u2) trixie; urgency=medium

  * Added dir api/ to d/rules.
    It follows 4.16-2 in unstable #1118180.

 -- Mechtilde Stehmann <mechtilde@debian.org>  Thu, 16 Oct 2025 07:21:43 +0200

tbsync (4.16-1~deb13u1) trixie; urgency=medium

  * Rebuild for uploading with thunderbird>= 140.3 to trixie

 -- Mechtilde Stehmann <mechtilde@debian.org>  Wed, 24 Sep 2025 11:36:01 +0200

tbsync (4.16-1) unstable; urgency=medium

  * Rebuild for unstable to use with thunderbird_140.3 et.

 -- Mechtilde Stehmann <mechtilde@debian.org>  Sun, 21 Sep 2025 10:42:04 +0200

tbsync (4.16-1~exp1) experimental; urgency=medium

  [ Mechtilde ]
  * [8a34ac6] Added d/dpb.conf to contain the information
              when using debian-packages-scripts
  * [aac3f2a] Improved d/watch to check against the Mozilla repo
  * [30d34dc] New upstream version 4.16
  * [0e1c63a] Bumped standard version - no changes needed
  * [4fa12f7] Improved d/u/metadata
  * [e61054c] Improved d/dpb.conf
  * [aac3689] Improved d/gbp.conf
  * [fc8ab02] Bumped years in d/copyright
  * [d87ad41] Bumped versions of the dependencies.
  +           Removed webext-dav4tbsync from recommends
              - integrated into thunderbird

 -- Mechtilde Stehmann <mechtilde@debian.org>  Sat, 23 Aug 2025 12:22:45 +0200

=== debian/control ===
Source: tbsync
Section: mail
Priority: optional
Maintainer: Debian Mozilla Extension Maintainers <pkg-mozext-maintainers@alioth-lists.debian.net>
Uploaders: Mechtilde Stehmann <mechtilde@debian.org>
Build-Depends: debhelper-compat (= 13), zip
Standards-Version: 4.7.2
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/webext-team/tbsync.git
Vcs-Browser: https://salsa.debian.org/webext-team/tbsync
Homepage: https://github.com/jobisoft/TbSync

Package: webext-tbsync
Architecture: all
Depends: ${misc:Depends}
 , thunderbird (>= 1:140.0)
 , thunderbird (<= 1:140.x)
Recommends: webext-eas4tbsync (>= 4.17)
Description: Thunderbird/Lightning Add-On to support MS Exchange Calendar etc.
 Synchronize Exchange ActiveSync accounts (contacts, tasks and
 calendars) to Thunderbird, supports Office 365, Outlook.com,
 Freenet, Strato, Hotmail, Kopano and other EAS compatible servers.

=== debian/watch ===
version=4
opts=\
repack,compression=xz,\
dversionmangle=s///,\
uversionmangle=s/-?([^\d.]+)/~$1/;tr/A-Z/a-z/ \
https://addons.thunderbird.net/en-US/thunderbird/addon/tbsync/versions/ (\d[\d\.]+)*
